### Method

# GLib BookmarkFile to_data

since: 2.12

#### Declaration [src]

    gchar*
    g_bookmark_file_to_data (
      GBookmarkFile* bookmark,
      gsize* length,
      GError** error
    )

#### Description [src]

This function outputs `bookmark` as a string.

Available since: 2.12

#### Parameters

`length`

  Type: `gsize*`

  Return location for the length of the returned string, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guint8`

a newly allocated string holding the contents of the `GBookmarkFile`.

The length of the array is in the `length` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.